import { Controller, Inject, Post, Files, Fields } from '@midwayjs/core';
import { FileService } from '../service/file.service';
@Controller('/api')
export class FileController {
  @Inject()
  service: FileService;

  @Inject()
  ctx;

  @Post('/upload')
  async upload(@Files() files, @Fields() fields) {
    const result = await this.service.upload(files, fields);
    return result;
  }
}
