import { MidwayConfig } from '@midwayjs/core';
import { uploadWhiteList } from '@midwayjs/upload';
import { tmpdir } from 'os';
import { join } from 'path';
const project = 'file';
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1672292154640_488',
  koa: {
    port: 13006,
  },
  jwt: {
    secret: 'Ziyouyanfa!@#',
    expiresIn: '2d',
  },
  redis_timeout: 300, //s
  emailConfig: project,
  axios: {
    clients: {
      Axios: {
        baseURL: 'https://www.ccwit.net',
        //表明返回服务器返回的数据类型
        responseType: 'arraybuffer',
        headers: {
          'Content-Type': 'application/json; application/octet-stream',
        },
      },
    },
  },
  export: {
    root_path: 'D:\\temp',
    file_type: 'friendSchool',
  },
  wechatSetting: {
    // 吉林大学汽车工程学院校友会
    friendShoolApp: {
      appid: 'wxef5b87d5fef241b4',
      secret: 'd315753502e0cbc24de5a230bed5c87a',
      mchid: '1505364491',
      v3key: '1qaz2wsx3edc4rfv5tgb6yhn7ujm8ik9',
    },
  },
  upload: {
    // mode: UploadMode, 默认为file，即上传到服务器临时目录，可以配置为 stream
    mode: 'file',
    // fileSize: string, 最大上传文件大小，默认为 10mb
    fileSize: '10mb',
    // whitelist: string[]，文件扩展名白名单
    whitelist: uploadWhiteList.filter(ext => ext !== '.pdf'),
    // tmpdir: string，上传的文件临时存储路径
    tmpdir: join(tmpdir(), 'midway-upload-files'),
    // cleanTimeout: number，上传的文件在临时目录中多久之后自动删除，默认为 5 分钟
    cleanTimeout: 5 * 60 * 1000,
    // base64: boolean，设置原始body是否是base64格式，默认为false，一般用于腾讯云的兼容
    base64: false,
    // 仅在匹配路径到 /api/upload 的时候去解析 body 中的文件信息
    match: /\/api\/upload/,
    // 仅允许下面这些文件类型可以上传
    mimeTypeWhiteList: {
      '.jpg': 'image/jpeg',
      // 也可以设置多个 MIME type，比如下面的允许 .jpeg 后缀的文件是 jpg 或者是 png 两种类型
      '.jpeg': ['image/jpeg', 'image/png'],
      // 其他类型
      '.gif': 'image/gif',
      '.bmp': 'image/bmp',
      '.wbmp': 'image/vnd.wap.wbmp',
      '.webp': 'image/webp',
    },
  },
} as MidwayConfig;
