import { MidwayConfig } from '@midwayjs/core';
const ip = '127.0.0.1';
const project = 'file';
const mongodb = 'school_friend_v1';
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1672292154640_488',
  koa: {
    globalPrefix: `/${project}/`,
  },
  swagger: {
    swaggerPath: `/${project}/v1/api/doc`,
  },
  mongoose: {
    dataSource: {
      default: {
        uri: `mongodb://${ip}:27017/${mongodb}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity'],
      },
    },
  },
  bull: {
    defaultQueueOptions: {
      // redis: {
      //   port: 6379,
      //   host: '114.215.24.90',
      //   password: '123456',
      // },
      // prefix: '{midway-bull}',
    },
  },
  axios: {
    clients: {
      file: {
        baseURL: 'https://www.ccwit.net',
        //表明返回服务器返回的数据类型
        responseType: 'arraybuffer',
        headers: {
          'Content-Type': 'application/json; application/octet-stream',
        },
      },
    },
  },
  export: {
    root_path: 'D:\\free\\workspace\\server\\service-file\\upload',
    file_type: 'friendSchool',
  },
  wechatSetting: {
    // 吉林大学汽车工程学院校友会
    friendShoolApp: {
      appid: 'wxef5b87d5fef241b4',
      secret: 'd315753502e0cbc24de5a230bed5c87a',
      mchid: '1505364491',
      v3key: '1qaz2wsx3edc4rfv5tgb6yhn7ujm8ik9',
    },
  },
} as MidwayConfig;
